#include<bits/stdc++.h>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	cerr.tie(0);
	int n;
	cin >> n;
	deque<int> brojevi;
	deque<int> a, b;
	for(int i = 1; i <= 2*n; i++) brojevi.push_back(i);
	for(int i = 0; i < n; i++){
			a.push_back(brojevi.front());
			brojevi.pop_front();
			if(a.size() == n) break;
			a.push_back(brojevi.back());
			brojevi.pop_back();
			if(a.size() == n) break;
		}
	for(int i = 0; i < n; i++){
			b.push_back(brojevi.front());
			brojevi.pop_front();
			if(b.size() == n) break;
			b.push_back(brojevi.back());
			brojevi.pop_back();
			if(b.size() == n) break;
	}
	while(!a.empty()){
		cout << a.front() << " ";
		a.pop_front();
	}
	cout << "\n";
	while(!b.empty()){
		cout << b.front() << " ";
		b.pop_front();
	}
	return 0;
}